<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="vm"
            type="com.petraride.testapp.ui.listitems.ListItemsViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/main"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".ui.listitems.ListItemsFragment">

        <TextView
            android:id="@+id/tvIdHeader"
            style="@style/header_style"
            android:layout_width="50dp"
            android:paddingStart="16dp"
            android:text="@string/id_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="RtlSymmetry" />

        <TextView
            android:id="@+id/tvNameHeader"
            style="@style/header_style"
            android:layout_width="0dp"
            android:paddingStart="24dp"
            android:text="@string/name_header"
            app:layout_constraintEnd_toStartOf="@id/tvExpHeader"
            app:layout_constraintStart_toEndOf="@id/tvIdHeader"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="RtlSymmetry" />

        <TextView
            android:id="@+id/tvCountHeader"
            style="@style/header_style"
            android:layout_width="66dp"
            android:gravity="center_vertical|end"
            android:paddingEnd="16dp"
            android:text="@string/count_header"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="RtlSymmetry" />

        <TextView
            android:id="@+id/tvExpHeader"
            style="@style/header_style"
            android:layout_width="98dp"
            android:text="@string/expiry_header"
            app:layout_constraintEnd_toStartOf="@id/tvCountHeader"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Group
            isViewVisible="@{vm.showItems}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:constraint_referenced_ids="tvCountHeader,tvExpHeader,tvIdHeader,tvNameHeader" />

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:layout_width="0dp"
            android:layout_height="0dp"

            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tvIdHeader">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerItems"
                isViewVisible="@{vm.showItems}"
                android:layout_width="match_parent"
                android:layout_height="match_parent"

                tools:listitem="@layout/item_row" />

            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom|end"
                android:layout_margin="32dp"
                android:contentDescription="@string/add_button_cd"
                android:onClick="@{()-> vm.onAddClicked()}"
                android:src="@drawable/ic_baseline_add_32"
                app:layout_behavior="com.google.android.material.behavior.HideBottomViewOnScrollBehavior"
                app:tint="@color/white" />
        </androidx.coordinatorlayout.widget.CoordinatorLayout>

        <TextView
            android:id="@+id/tvEmptyList"
            isViewVisible="@{!vm.showItems}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/no_items_in_stock"
            android:textColor="@color/secondary_text"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="invisible" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>